;
(function($) {
	mui.init();

	var vm = new Vue({
		el: "#vm_data",
		data: {
			tasks1: [],
			tasks2: [],
			tasks3: [],
			tasks4: []
		},
		methods: {
			goEventDetail: function(o) {
				RSUtils.OpenContentPage({
					url: '_www/pages/event/event_detail.html',
					id: RSUtils.PageId.EventDetail,
					extras: {
						o: o
					}
				});
			}
		}
	});

	var activeOrder = 1;

	var TASKALL = function() {
		this.ws = plus.webview.currentWebview();
		return this;
	};
	TASKALL.prototype = {
		init: function() {
			this.initEvent();
			this.initData();
		},
		//绑定事件
		initEvent: function() {
			var that = window.TASKALL;
			mui('.mui-slider').slider().setStopped(true); //禁止轮播左右滑动
			RSUtils.BindTapEvent({
				id: "#newEvent",
				callback: function(e) {
					RSUtils.OpenContentPage({
						url: '_www/pages/event/event_add.html',
						id: RSUtils.PageId.AddNewEvent
					});
				}
			});
		},
		//初始化数据
		initData: function() {
			//if(!RSUtils.IsLogin()) return;
			var that = window.TASKALL;
			that.LoadTask(1);
		},

		LoadTask: function(status, start, end) {
			var that = window.TASKALL;
			//所有事件
			RSUtils.Load({
				url: RSUtils.API.RedBook.listEvent,
				type: "POST",
				data: {
					execute_id: 1212,
					event_status: -1
				},
				callback: function(data) {
					if(data.success) {
						vm.tasks3 = data.data;
						for(var i = 0; i < data.data.length; i++) {
							switch(data.data[i].event_status) {
								case 10:
									vm.tasks1.push(data.data[i]);
									break;
								case 15:
									vm.tasks2.push(data.data[i]);
									break;
								default:
									break;
							}
						}
					}
				}
			});
			//所有发布的事件
			RSUtils.Load({
				url: RSUtils.API.RedBook.listEvent,
				type: "POST",
				data: {
					report_id: 1212,
					event_status: -1
				},
				callback: function(data) {
					if(data.success) {
						vm.tasks4 = data.data;
					}
				}
			})
		},
		// 下拉刷新新数据
		upFlashOrder: function(status, start) {
			var that = window.TASKALL;
			//后台请求数据R
			RSUtils.Load({
				url: RSUtils.API.ORDER.queryOrder,
				type: "POST",
				data: {
					step: status,
					startDate: start,
				},
				callback: function(data) {
					if(data.success) {
						if(data.data.length > 0) {
							$.each(data.data, function(index, item) {
								vm.orders.splice(0, 0, item);
							})
							//缓存更新数据的时间
							RSUtils.SetItem(RSUtils.DBKeys.orderData0.end, data.data[0].createAt);

						} else {
							RSUtils.Toast("没有最新的数据");
						}
					}
				}
			})
		},
		//上拉刷新历史数据
		downFlashOrder: function(status, end) {
			var that = window.TASKALL;
			//后台请求数据
			RSUtils.Load({
				url: RSUtils.API.ORDER.queryOrder,
				type: "POST",
				data: {
					step: status,
					endDate: end,
				},
				callback: function(data) {
					if(data.success) {
						if(data.data.length > 0) {
							$.each(data.data, function(index, item) {
								vm.orders.push(item);
							})
							//缓存更新数据的时间
							RSUtils.SetItem(RSUtils.DBKeys.orderData0.start, data.data[data.data.length - 1].createAt);
						} else {
							RSUtils.Toast("没有数据");
						}
					}
				}
			})
		},

	};

	mui.plusReady(function() {
		window['TASKALL'] = new TASKALL();
		window['TASKALL'].init();
	});
})(Zepto);