(function($) {
	LoadCss('color-style');
	mui.init();
	var RENESOLA = function() {
		this.ws = plus.webview.currentWebview();
		this.person = RSUtils.GetItem(RSUtils.DBKeys.User.userInfo);
		return this;
	};
	RENESOLA.prototype = {
		init: function() {
			this.initEvent();
			this.initData();
		},
		//绑定事件
		initEvent: function() {
			var that = window.RENESOLA;
			//换头像
			RSUtils.CaptureContainer(function(t) {
				switch(t.aim) {
					case 'capture':
						RSUtils.OpenContentPage({
							url: '_www/pages/user/photo.html',
							id: RSUtils.PageId.Photo,
							extras: {
								img_url: t.target
							}
						});
				}
			});

			//名字
			RSUtils.BindTapEvent({
				id: '#userName',
				callback: function(e) {
					RSUtils.OpenContentPage({
						url: '_www/pages/user/user_name.html',
						id: RSUtils.PageId.UserName,
					})
				}
			});
			//ID
			RSUtils.BindTapEvent({
				id: '#modifyID',
				callback: function(e) {
					RSUtils.OpenContentPage({
						url: '_www/pages/user/user_id.html',
						id: RSUtils.PageId.UserId,
					})
				}
			});
			//收货地址
			RSUtils.BindTapEvent({
				id: '#default_address',
				callback: function(e) {
					RSUtils.OpenContentPage({
						url: '_www/pages/cart/address_manager.html',
						id: RSUtils.PageId.AddressManage
					})
				}
			});
			
			//个性签名
			RSUtils.BindTapEvent({
				id: '#signature',
				callback: function(e) {
					RSUtils.OpenContentPage({
						url: '_www/pages/user/signature.html',
						id: RSUtils.PageId.Signature,
						extras: {
							signature_: that.person.signature
						}
					})
				}
			});
			
		},
		//初始化数据
		initData: function() {
			//if(!RSUtils.IsLogin()) return;
			var that = window.RENESOLA;
			$("#phone_number").html(that.person.accountName);
			$("#user_name").html(that.person.userName);
			$("#xiake_id").html(that.person.xiakeId);
			$("#signature_").html(that.person.signature);
			if(that.person.headImgUrl) {
				$("#head_img").attr("src",BaseKit.RSHost+"/file"+that.person.headImgUrl);
			}
		},
	};

	mui.plusReady(function() {
		RSUtils.ShowLoading();
		window['RENESOLA'] = new RENESOLA();
		window['RENESOLA'].init();
		RSUtils.CloseLoading();
	});
})(Zepto);