;
(function($) {
	LoadCss('color-style')
	mui.init();
	var SETNAME = function() {
		this.ws = plus.webview.currentWebview();
		this.scan = null;
		return this;
	};
	SETNAME.prototype = {
		init: function() {
			//if(!RSUtils.IsLogin()) return;
			this.initData();
			this.initEvent();
		},
		initData: function() {
			var that = window.SETNAME;
			plus.webview.currentWebview().addEventListener('show', function() {
				var filter = [plus.barcode.QR];
				that.scan = new plus.barcode.Barcode('bcid', filter);
				that.scan.onmarked = that.onmarked;
				that.scan.start();
			});
			plus.webview.currentWebview().addEventListener('close', function() {
				if(that.scan) {
					that.scan.close();
				}
			});

		},
		initEvent: function() {
			var that = window.SETNAME;
			//取消
			RSUtils.BindTapEvent({
				id: '#cancel_code',
				callback: function(e) {
					if(that.scan) {
						that.scan.close();
					}
					plus.webview.currentWebview().close();
				}
			});
		},
		// 识别二维码
		onmarked: function(type, result, file) {
			var text = '未知';
			switch(type) {
				case plus.barcode.QR:
					text = 'QR: ';
					break;
			}
			console.log("----" + text + "+++" + result);
			if(text != '未知') {
				mui.fire(plus.webview.getWebviewById(RSUtils.PageId.Index), 'bar_code', {
					'code': result
				});
			}
			plus.webview.currentWebview().close();
		},

	};

	mui.plusReady(function() {
		window['SETNAME'] = new SETNAME()
		window['SETNAME'].init();
	});
})(Zepto);