LoadCss('color-style');
rbready(function(){
	var ws = plus.webview.currentWebview();
	var o = ws.o;
	if(!o) return;
	var vue = new Vue({
		el: '.mui-content',
		data: {
			text: '',
			nfsPath : BaseKit.NfsServer,
			events: [],
			imgs: ws.files || [],
			dragging: null
		},
		methods: $.extend(commonMethods, {
			submit:submit,
			swap: function(i, j) {
				var imgs = this.imgs;
				var ei = imgs[i];
				var ej = imgs[j];
				if (ei && ej) {
					this.$set(imgs, i, ej);
					this.$set(imgs, j, ei);
				}
			},
			pop: function(){
				mui('#addphoto').popover('show');
			}
		})
	});
//	mui.init();
	initstream({
		longtap: true,
		api: 'getEventDetail',
		param: {
			execute_id: 1212,
			event_id: o.id
		},
		load: function(r) {

		},
		reload: function(r) {
			vue.events = r;
		}
	});

	$('#addphoto .ccc2').on('tap', function(){
		RSUtils.CaptureImage(function(t){
			console.log(t);
			vue.imgs.push(t);
		}, {
			raw: true
		});
	});
	$('#addphoto .ccc3').on('tap', function(){
		RSUtils.PickMultiImage({
			max: 9 - vue.imgs.length
		}).then(function(files){
			for (var i in files) {
				vue.imgs.push(files[i]);
			}
		}, function(e){
			RSUtils.Toast('选择图片失败 ' + (e.message || JSON.stringify(e)));
		});
	});
	$('#addphoto .ccc').on('tap', function(){
		// tap时直接隐藏popover无效，必须setTimeout。原因不明……
		setTimeout(function(){
			mui('#addphoto').popover('hide');
		});
	});
	
	function load(r) {
		var src = r.draft || r;
		vue.text = src.text;
		vue.imgs = src.attachType == 1 ? src.attachUrls : [];
	}
	
	function submit(draft) {
		RSUtils.ShowLoading();
		// 压缩并上传图片
		var ps = vue.imgs.map(function(file){
			return file.startsWith('/app') ? file : new Promise(function(rs, rj){
				RSUtils.CompressImg(file, null, function(e){
					RSUtils.UploadFileToNFS({
						fileSrc: e.target,
						success: rs,
						err: rj
					});
				}, rj);
			});
		});
		// 提交保存
		Promise.all(ps).then(function(paths){
			console.log("paths ---->" + paths.join(','));
			var file_paths = paths.join(',');
			return post('finishEvent', {
				user_id: "1212",
				event_id: $('#event_id').val(),
				solutions: vue.text,
				attachType: 1,
				file_paths: file_paths
			});
		}).then(function(){
			vue = null;
			RSUtils.Toast('保存成功。页面即将关闭……');
			setTimeout(function(){
				broadcast('listEvent', '');
				mui.back();
			}, 2000);
		}, function(err){
			RSUtils.CloseLoading();
			console.log(err);
			RSUtils.Toast('保存失败 '+(err.message||JSON.stringify(err)));
		});
	}
});