;
(function($) {
	LoadCss('color-style');
	mui.init(
		/*{
				pullRefresh: {
					container: '#orderContent',
					down: {
						style: 'circle',
						callback: function(e) {
							var endDate = RSUtils.GetItem(RSUtils.DBKeys.orderData0.end);
							if(activeOrder == 1) {
								window['TASKALL'].upFlashOrder(1, endDate);
							} else if(activeOrder == 2) {
								window['TASKALL'].upFlashOrder(2, endDate);
							} else if(activeOrder == 3) {
								window['TASKALL'].upFlashOrder(3, endDate);
							} else if(activeOrder == 4) {
								window['TASKALL'].upFlashOrder(4, endDate);
							} else if(activeOrder == 5) {
								window['TASKALL'].upFlashOrder(5, endDate);
							}
							mui('#orderContent').pullRefresh().endPulldown();
						}
					},
					up: {
						auto: false,
						contentrefresh: '正在加载...',
						callback: function(e) {
							var startDate = RSUtils.GetItem(RSUtils.DBKeys.orderData0.start);
							if(activeOrder == 1) {
								window['TASKALL'].downFlashOrder(1, startDate);
							} else if(activeOrder == 2) {
								window['TASKALL'].downFlashOrder(2, startDate);
							} else if(activeOrder == 3) {
								window['TASKALL'].downFlashOrder(3, startDate);
							} else if(activeOrder == 4) {
								window['TASKALL'].downFlashOrder(4, startDate);
							} else if(activeOrder == 5) {
								window['TASKALL'].downFlashOrder(5, startDate);
							}
							mui('#orderContent').pullRefresh().endPullup();
						}
					}
				}
			}*/
	);

	var vm = new Vue({
		el: "#vm_data",
		data: {
			tasks1: [],
			tasks2: [],
			tasks3: [],
			tasks4: []
		},
		methods: {
			taskItem: function(id,statusName) {
				//任务详情页面
				RSUtils.OpenContentPage({
					id: RSUtils.PageId.TaskItem,
					url: '_www/pages/task/task_item.html',
					extras: {
						taskId: id,
						taskStatusName: statusName
					}
				});
			}
		}
	});

	var activeOrder = 1;

	var TASKALL = function() {
		this.ws = plus.webview.currentWebview();
		return this;
	};
	TASKALL.prototype = {
		init: function() {
			this.initEvent();
			this.initData();
		},
		//绑定事件
		initEvent: function() {
			var that = window.TASKALL;
			mui('.mui-slider').slider().setStopped(true); //禁止轮播左右滑动
		},
		//初始化数据
		initData: function() {
			//if(!RSUtils.IsLogin()) return;
			var that = window.TASKALL;
			that.LoadTask(1);
		},

		LoadTask: function(status, start, end) {
			var that = window.TASKALL;
			//后台请求数据
			RSUtils.Load({
				url: RSUtils.API.RedBook.listTask,
				type: "POST",
				data: {
					execute_id: 1212,
					task_status: -1
				},
				callback: function(data) {
					if(data.success) {
						vm.tasks4 = data.data;
						for(var i = 0; i < data.data.length; i++) {
							switch(data.data[i].status_name) {
								case "待完成":
									vm.tasks1.push(data.data[i]);
									break;
								case "已超时":
									vm.tasks2.push(data.data[i]);
									break;
								case "已完成":
									vm.tasks3.push(data.data[i]);
									break;
								default:
									break;
							}
						}
					}
				}
			})
		},
		// 下拉刷新新数据
		upFlashOrder: function(status, start) {
			var that = window.TASKALL;
			//后台请求数据R
			RSUtils.Load({
				url: RSUtils.API.ORDER.queryOrder,
				type: "POST",
				data: {
					step: status,
					startDate: start,
				},
				callback: function(data) {
					if(data.success) {
						if(data.data.length > 0) {
							$.each(data.data, function(index, item) {
								vm.orders.splice(0, 0, item);
							})
							//缓存更新数据的时间
							RSUtils.SetItem(RSUtils.DBKeys.orderData0.end, data.data[0].createAt);

						} else {
							RSUtils.Toast("没有最新的数据");
						}
					}
				}
			})
		},
		//上拉刷新历史数据
		downFlashOrder: function(status, end) {
			var that = window.TASKALL;
			//后台请求数据
			RSUtils.Load({
				url: RSUtils.API.ORDER.queryOrder,
				type: "POST",
				data: {
					step: status,
					endDate: end,
				},
				callback: function(data) {
					if(data.success) {
						if(data.data.length > 0) {
							$.each(data.data, function(index, item) {
								vm.orders.push(item);
							})
							//缓存更新数据的时间
							RSUtils.SetItem(RSUtils.DBKeys.orderData0.start, data.data[data.data.length - 1].createAt);
						} else {
							RSUtils.Toast("没有数据");
						}
					}
				}
			})
		},

	};

	mui.plusReady(function() {
		window['TASKALL'] = new TASKALL();
		window['TASKALL'].init();
	});
})(Zepto);