LoadCss('color-style');
rbready(function() {
	var ws = plus.webview.currentWebview();
	var o = ws.o;
	if(!o) return;
	var sl = 0;
	var vue = new Vue({
		el: '.mui-content',
		data: {
			nfsPath : BaseKit.NfsServer,
			notes: [],
			imgs: [ws.files] || [[]],
		},
		methods: $.extend(commonMethods, {
			submit:submit,
			swap: function(i, j, k) {
				var imgs = this.imgs[i];
				var ej = imgs[i][j];
				if (!ei) {
					this.$set(imgs[i], i, ej = []);
				}
				var ek = imgs[i][k];;
				if (ek) {
					this.$set(imgs[i], k, ej);
				}
			},
			pop: function(i){
				sl = i;
				mui('#addphoto').popover('show');
			}
		})
	});

	initstream({
		longtap: true,
		api: 'getTaskDetail',
		param: {
			execute_id: 1212,
			task_id: o.id
		},
		load: function(r) {

		},
		reload: function(r) {
			vue.notes = r;
		}
	});

	$('#addphoto .ccc2').on('tap', function(){
		if (!vue.imgs[sl]) {
			vue.$set(vue.imgs, sl, []);
		}
		RSUtils.CaptureImage(function(t){
			console.log(t);
			vue.imgs[sl].push(t);
		}, {
			raw: true
		});
	});
	$('#addphoto .ccc3').on('tap', function(){
		if (!vue.imgs[sl]) {
			vue.$set(vue.imgs, sl, []);
		}
		RSUtils.PickMultiImage({
			max: 9 - vue.imgs[sl].length
		}).then(function(files){
			for (var i in files) {
				vue.imgs[sl].push(files[i]);
			}
		}, function(e){
			RSUtils.Toast('选择图片失败 ' + (e.message || JSON.stringify(e)));
		});
	});
	$('#addphoto .ccc').on('tap', function(){
		// tap时直接隐藏popover无效，必须setTimeout。原因不明……
		setTimeout(function(){
			mui('#addphoto').popover('hide');
		});
	});
	RSUtils.BindTapEvent({id: '#draft', callback: function(){ submit(true); }});
	RSUtils.BindTapEvent({id: '#submit', callback: function(){ submit(false); }});
	
//	if (ws.note) {
//		load(ws.note);
//		get('getNote_', [ws.note.id]).then(load);
//	}
//	
//	function load(r) {
//		var src = r.draft || r;
//		vue.title = src.title;
//		vue.text = src.text;
//		vue.imgs = src.attachType == 1 ? src.attachUrls : [];
//	}
	
	function submit(i, draft) {
		RSUtils.ShowLoading();
		// 压缩并上传图片
		if (!vue.imgs[i]) {
			vue.$set(vue.imgs, i, []);
		}
		var ps = vue.imgs[i].map(function(file){
			return file.startsWith('/app') ? file : new Promise(function(rs, rj){
				RSUtils.CompressImg(file, null, function(e){
					RSUtils.UploadFileToNFS({
						fileSrc: e.target,
						success: rs,
						err: rj
					});
				}, rj);
			});
		});
		// 提交保存
		Promise.all(ps).then(function(paths){
			console.log("paths ---->" + paths.join(','));
			var file_paths = paths.join(',');
			return post('postTaskStep', {
				user_id: "1212",
				task_step: i,
				task_id: $('#task_id').val(),
				task_step_id: $('#task_step_id' + i).val(),
				site_desc: $('#site_desc' + i).val(),
				execute_address: $('#execute_address' + i).val(),
				solutions: $('#solutions' + i).val(),
				attachType: 1,
				file_paths: file_paths
			});
		}).then(function(){
			vue = null;
			RSUtils.Toast('保存成功。页面即将关闭……');
			setTimeout(function(){
				broadcast('postTaskStep', '');
				mui.back();
			}, 2000);
		}, function(err){
			RSUtils.CloseLoading();
			console.log(err);
			RSUtils.Toast('保存失败 '+(err.message||JSON.stringify(err)));
		});
	}
});
