(function($) {
	LoadCss('color-style')

	mui.init();
	var RENESOLA = function() {
		this.ws = plus.webview.currentWebview();
		return this;
	};
	RENESOLA.prototype = {
		init: function() {
			this.initEvent();
			this.initData();
		},
		//绑定事件
		initEvent: function() {
			var that = window.RENESOLA;
			// 发送短信验证码
			RSUtils.BindTapEvent({
				id: "#getVerifyCode",
				showLoading: true,
				callback: function(e) {
					var tel_ = $("#userName").val();
					RSUtils.Load({
						url: RSUtils.API.Renesola.sendVerifyCode,
						type: 'POST',
						data: {
							tel: $("#userName").val()
						},
						callback: function(data) {
							if(data.success) {
								RSUtils.Toast("请填写验证码");
							} else {
								RSUtils.Toast(data.msg);
							}
						},
						errcallback: function(e) {

						}
					});
				}
			});
			//下一步
			RSUtils.BindTapEvent({
				id: '#forgetPasswordStep',
				showLoading: false,
				delay: 0,
				callback: function(e) {
					if(RSUtils.Verify()) {
						RSUtils.Load({
							url: RSUtils.API.User.checkVerifyCode,
							type: 'POST',
							data: {
								verifyCode: $("#verifyCode").val(),
								userName: $("#userName").val()
							},
							callback: function(data) {
								if(data.success) {
									RSUtils.OpenContentPage({
										url: '_www/pages/user/forget_step.html',
										id: RSUtils.PageId.ForgetStep,
										extras: {
											userName: $("#userName").val()
										}
									});
								} else {
									RSUtils.Toast(data.msg);
								}
							},
							errcallback: function(e) {

							}
						});
					} else {
						mui(that.next).button('reset');
						RSUtils.CloseLoading();
					}

				}
			});
		},
		//初始化数据
		initData: function() {
			//if(!RSUtils.IsLogin()) return;
			var that = window.RENESOLA;
		},
	};
	mui.plusReady(function() {
		window['RENESOLA'] = new RENESOLA();
		window['RENESOLA'].init();
	});
})(Zepto);