(function($) {
	LoadCss('color-style');
	mui.init();
	var RENESOLA = function() {
		this.ws = plus.webview.currentWebview();
		this.next = null;
		this.Photo1RetryCount = 0;
		this.formData = {
			vocher_url: null,
			vocher_url_nfs: null,
		};
		return this;
	};
	RENESOLA.prototype = {
		init: function() {
			this.initEvent();
			this.initData();
		},
		//绑定事件
		initEvent: function() {
			var that = window.RENESOLA;
			//换头像
			RSUtils.CaptureContainer(function(t) {
				switch(t.aim) {
					case 'capture':
						$("#span_1").hide();
						$("#span_2").hide();
						$("#span_3").hide();
						$("#img_url").show();
						$("#img_url").attr("src", t.target);
						that.formData.vocher_url = t.target;
						break;
				}
			});
			//登入
			RSUtils.BindTapEvent({
				id: '#loginBtn',
				showLoading: true,
				callback: function(e) {
					that.VoucherUpload();
				}
			})
		},
		//初始化数据
		initData: function() {
			//if(!RSUtils.IsLogin()) return;
			var that = window.RENESOLA;
		},

		UploadNFS: function(src, target, callback, errCallback) {
			RSUtils.UploadFileToNFS({
				fileSrc: src,
				success: function(e) {
					console.log("successs");
					switch(target) {
						case 'vocher_url_nfs':
							window.RENESOLA.formData.vocher_url_nfs = e;
							break;
					}
					RSUtils.CloseLoading();
					if(callback) callback();
				},
				err: function(e) {
					console.log("erro");
					RSUtils.CloseLoading();
					if(errCallback) errCallback(e);
				}
			});
		},

		NetErrorTips: function() {
			var that = window.RENESOLA;
			if(that.Photo1RetryCount >= 2) {
				mui(that.next).button('reset');
				RSUtils.Toast('请稍后在网络好的环境下重试');
				that.Photo1RetryCount = 0;
			}
		},

		VoucherUpload: function() {
			var that = window.RENESOLA;
			if(that.Photo1RetryCount < 1)
				that.UploadNFS(that.formData.vocher_url, 'vocher_url_nfs', that.SaveVoucher, function(e) {
					setTimeout(function() {
						that.Photo1RetryCount++;
						that.VoucherUpload();
						that.NetErrorTips();
					}, 5000);
				});
		},
		SaveVoucher: function() {
			var that = window.RENESOLA;
			RSUtils.Load({
				url: RSUtils.API.Renesola.setAppAccountName,
				type: 'POST',
				data: {
					nikeName: $("#nikeName").val(),
					img_url: that.formData.vocher_url_nfs,
					userName:that.ws.userName,
					verify_code:that.ws.verify_code
				},
				callback: function(data) {
					if(data.success) {
						//成功后执行登入操作
						RSUtils.Load({
							url: RSUtils.API.Renesola.loginpage,
							type: 'POST',
							data: {
								username: that.ws.userName,
								verify_code: that.ws.verify_code,
								deviceId: plus.device.uuid || ''
							},
							callback: function(data) {
								//mui(e).button('reset');
								if(data.msg) {
									RSUtils.Toast(data.msg);
									return;
								}
								RSUtils.SetItem(RSUtils.DBKeys.User.token, RSUtils.getCookie(RSUtils.CookieKey.ACCESS_TOKEN_FIELDNAME));
								RSUtils.SetItem(RSUtils.DBKeys.User.userInfo, data.accountVO);
								RSUtils.SetItem(RSUtils.DBKeys.User.XRenesolaToken, RSUtils.getCookie(RSUtils.CookieKey.ACCESS_TOKEN_FIELDNAME)); //用header保存token
								mui.later(function() {
									if(that.ws.wobj) {
										that.loginCb();
									}
									try {
										if(that.ws.opener().id == RSUtils.PageId.My) {
											plus.webview.getWebviewById(RSUtils.PageId.My).reload();
										}
									} catch(e) {}
									that.ws.close();
									plus.webview.close(RSUtils.PageId.Register);
									
								}, 150);
								mui.fire(plus.webview.getLaunchWebview(), 'afterLogin');
							},
							errcallback: function(d) {
								mui(e).button('reset');
								RSUtils.Toast('登录失败，请稍后重试!');
							}
						});

					} else {
						that.ws.reload();
						RSUtils.Toast(data.msg);
					}
				}
			});
		},
		loginCb: function() {
			var that = window['RENESOLA'];
			var wobj = JSON.parse(that.ws.wobj);
			if(wobj.cbname == 'fireEvent') {
				var fb = plus.webview.getWebviewById(wobj.id);
				var extars = wobj.extars;
				mui.fire(fb, wobj.ev, extars);
			}
			if(wobj.cbname == 'reload') {
				plus.webview.getWebviewById(wobj.id).reload();
			}
		},
		
	};

	mui.plusReady(function() {
		RSUtils.ShowLoading();
		window.RENESOLA = new RENESOLA();
		window.RENESOLA.init();
		RSUtils.CloseLoading();
	});
})(Zepto);