;
(function($) {
	LoadCss('color-style')
	mui.init();
	var SETNAME = function() {
		this.ws = plus.webview.currentWebview();
		return this;
	};
	SETNAME.prototype = {
		init: function() {
			//if(!RSUtils.IsLogin()) return;
			this.initData();
			this.initEvent();
		},
		initData: function() {
			var xiakeId = RSUtils.GetUserInfo().xiakeId;
			$("#xiakeId").val(xiakeId);
		},
		setUserId: function() {
			var that = this;
			RSUtils.Load({
				url: RSUtils.API.User.modifyUserXiakeId,
				type: 'POST',
				data: {
					xiakeId: $("#xiakeId").val()
				},
				callback: function(data) {
					if(data.success) {
						RSUtils.Toast("修改ID成功");
						var _oldUserData = RSUtils.GetItem(RSUtils.DBKeys.User.userInfo);
						if(_oldUserData) {
							//更新缓存数据
							_oldUserData.xiakeId = $("#xiakeId").val();
							RSUtils.SetItem(RSUtils.DBKeys.User.userInfo, _oldUserData);
							RSUtils.FireUserInfo();
						}
						//刷新首页和资料查看页 关闭本页
						plus.webview.getWebviewById(RSUtils.PageId.PersonalData).close();
						that.ws.close();
					} else {
						RSUtils.Toast(data.msg);
						mui(that.next).button('reset');
						RSUtils.CloseLoading();
					}
				}
			});
		},
		initEvent: function() {
			var that = this;
			RSUtils.BindTapEvent({
				id: '#save',
				showLoading: true,
				callback: function(e) {
					if(RSUtils.Verify()) {
						that.setUserId();
					} else {
						mui(that.next).button('reset');
						RSUtils.CloseLoading();
					}
				}
			});
		},
	};

	mui.plusReady(function() {
		window['SETNAME'] = new SETNAME()
		window['SETNAME'].init();
	});
})(Zepto);