;
(function($) {
	LoadCss('color-style')
	mui.init();
	var SETNAME = function() {
		this.ws = plus.webview.currentWebview();
		return this;
	};
	SETNAME.prototype = {
		init: function() {
			//if(!RSUtils.IsLogin()) return;
			this.initData();
			this.initEvent();
		},
		initData: function() {
			var userName = RSUtils.GetUserInfo().userName;
			$("#userName").val(userName);
		},
		setUserName: function() {
			var that = this;
			RSUtils.Load({
				url: RSUtils.API.User.modifyUserName,
				type: 'POST',
				data: {
					userName: $("#userName").val()
				},
				callback: function(data) {
					if(data.success) {
						RSUtils.Toast("修改用户名成功");
						var _oldUserData = RSUtils.GetItem(RSUtils.DBKeys.User.userInfo);
						if(_oldUserData) {
							//更新缓存数据
							_oldUserData.userName = $("#userName").val();
							RSUtils.SetItem(RSUtils.DBKeys.User.userInfo, _oldUserData);
							RSUtils.FireUserInfo();
						}
						//刷新首页和资料查看页 关闭本页
						if(plus.webview.getWebviewById(RSUtils.PageId.USERCENTER)) {
							plus.webview.getWebviewById(RSUtils.PageId.USERCENTER).reload();
						}
						plus.webview.getWebviewById("offcanvas-drag-right-plus-menu").reload();
						that.ws.close();
						plus.webview.getWebviewById(RSUtils.PageId.PersonalData).close();
					} else {
						RSUtils.Toast(data.msg);
						mui(that.next).button('reset');
						RSUtils.CloseLoading();
					}
				}
			});
		},
		initEvent: function() {
			var that = this;
			RSUtils.BindTapEvent({
				id: '#save',
				showLoading: true,
				callback: function(e) {
					if(RSUtils.Verify()) {
						if($("#userName").val().trim() == "") {
							RSUtils.Toast("用户名不可空");
							return;
						}
						that.setUserName();
					} else {
						mui(that.next).button('reset');
						RSUtils.CloseLoading();
					}
				}
			});
		},
	};

	mui.plusReady(function() {
		window['SETNAME'] = new SETNAME()
		window['SETNAME'].init();
	});
})(Zepto);