;
(function($) {
	LoadCss('color-style')
	
	mui.init();
	var PASSWORDSET = function() {
		this.ws = plus.webview.currentWebview();
		return this;
	};
	PASSWORDSET.prototype = {
		init: function() {
			//if(!RSUtils.IsLogin()) return;
			this.initEvent();
		},
		setPassWord: function() {
			var that = this;
			mui(that.next).button('loading');
			RSUtils.Load({
				url: RSUtils.API.User.modifyPassWord,
				type: 'POST',
				data: {
					oldPassWord: $("#oldPassWord").val(),
					newPassWord: $("#newPassWord").val()
				},
				callback: function(data) {
					if(data.success) {
						mui.confirm('修改密码成功,需重新进入应用', '提示', ['确认'], function(e) {
							RSUtils.ClearLocalData(true);
						}, 'div');
					} else {
						RSUtils.Toast(data.msg);
						RSUtils.CloseLoading();
					}
					mui(that.next).button('reset');
				}
			});
		},
		initEvent: function() {
			var that = this;
			RSUtils.BindTapEvent({
				id: '#submit',
				showLoading: true,
				callback: function(e) {
					that.next = e;
					if(RSUtils.Verify()) {
						if($("#_newPassWord").val() != $("#newPassWord").val()) {
							RSUtils.Toast("两次填写密码不一致");
							mui(that.next).button('reset');
							RSUtils.CloseLoading();
						} else {
							that.setPassWord();
						}
					}
				}
			});
		},
	};

	mui.plusReady(function() {
		window['PASSWORDSET'] = new PASSWORDSET();
		window['PASSWORDSET'].init();
	});
})(Zepto);